/*
puppyduino0_31.ino
puppy wags tail when someone pets her
servo tail wags when light sensor in shadow
wag threshold determined by value on potentiometer
*/

#include <Servo.h>   //this imports the Servo library
Servo servo;         //create a Servo

int right = 135;     //right extent of wag
int left = 180;      //left extent of wag
int lightPin = 1;    //analog pin light sensor  
int lightSensor = 0; //initialize sensor value to zero
int servoPin = 9;    //servo control pin
int i = left;        //initialize i to left

int potPin = 0;      //analog pin read pot value
int potValue = 0;    //value of pot init to zero
 
void setup() 
{
  servo.attach(servoPin); //servo control pin
  Serial.begin(9600); //for testing
}
 
void loop() 
{
  lightSensor = analogRead(lightPin); //read light sensor
  potValue = analogRead(potPin);   
  
  // serial output for testing and debugging
  Serial.print("Pot: ");
  Serial.println(potValue);
  Serial.print("Sensor: ");
  Serial.println(lightSensor);
  
  if(lightSensor > potValue)
  {
    Serial.println("Wagging!"); //test statement
    //wag 3 times
    for(int j = 0; j<=3; j++)  
    {
      // sweep right to left one degree at at time
      for(i = right; i<=left; i++)
      {
        servo.write(i); 
        delay(10);
      }
      // sweep left to right one degree at at time
      for(i = left; i >= right; i--)
      {
        servo.write(i); 
        delay(10);
      }
    }
  }
  else
  {
   servo.write(0); //tail in down position
  }
 
}
