
/*
tailTest3.ino
 your servo needs to connect to 
 5V to red wire, 
 ground black wire 
 pin 9 to control wire (or PWM pin of your choice)
 servo tail wags only when button pressed
 */

#include <Servo.h>   //this imports the Servo library
Servo servo;         //create a Servo
int i;               //counting variable
int right = 135;     //right extent of wag
int left = 180;      //left extent of wag
int button = 8;      //button input on pin 8

void setup()
{
  servo.attach(9);
  pinMode(button,INPUT_PULLUP); //HIGH unless grounded
}

void loop()
{
  // check if button pressed (if pin goes LOW)
  if(digitalRead(button) == LOW)
  {
    // sweep right to left one degree at at time
    for(i = right; i<=left; i++)
    {
      servo.write(i); 
      delay(10);
    }
    // sweep left to right one degree at at time
    for(i = left; i >= right; i--)
    {
      servo.write(i); 
      delay(10);
    }
  }
  delay(300);

}



